<?php
/**
 * Enqueues scripts and styles.
 */
add_action('wp_enqueue_scripts', 'vt_blogging_pro_scripts');
function vt_blogging_pro_scripts() {

    // CSS
	wp_enqueue_style( 'theme-style', get_stylesheet_uri(), '', VT_BLOGGING_PRO_VERSION );
	wp_enqueue_style( 'font-awesome', VT_BLOGGING_PRO_LIBS_URI . 'font-awesome/css/font-awesome.min.css', array(), '4.7.0' );
    wp_enqueue_style( 'genericons', VT_BLOGGING_PRO_LIBS_URI . 'genericons/genericons.css' );
	wp_enqueue_style( 'owl-carousel', VT_BLOGGING_PRO_LIBS_URI . 'owl/owl.carousel.css', array(), '1.0.3' );

	// Woo
	if (class_exists( 'woocommerce' )) { 
		wp_enqueue_style( 'woocommerce', get_template_directory_uri() . '/woocommerce/css/woocommerce.css', array(), '2.0' );
	}
	
	// Animation
    if ( get_theme_mod( 'animate_enable', '1' ) == '1' ) {
		wp_enqueue_style( 'aos-css', VT_BLOGGING_PRO_LIBS_URI . 'aos/aos.css', array(), '2.0' );
		wp_enqueue_script( 'aos-js', VT_BLOGGING_PRO_LIBS_URI . 'aos/aos.js', array(), '2.0', false );
	}
	// Responsive Option
    if ( get_theme_mod( 'site-layout', 'choice-1' ) == 'choice-1' ) {
		wp_enqueue_style( 'slicknav', VT_BLOGGING_PRO_LIBS_URI . 'slicknav/slicknav.css', array(), VT_BLOGGING_PRO_VERSION );
    	wp_enqueue_style( 'responsive-style', get_template_directory_uri() . '/responsive.css', array(), VT_BLOGGING_PRO_VERSION );
	}
	
    // JS
	wp_enqueue_script( 'jquery'); // default Scripts Included and Registered by WordPress
	if ( get_theme_mod( 'sticky_sidebar', '1' ) == '1' ) {
		wp_enqueue_script( 'sticky-sidebar', get_template_directory_uri() . '/assets/js/sticky-sidebar.js', array(), '', true );
	}
	wp_enqueue_script( 'vt-blogging-pro-scripts', get_template_directory_uri() . '/assets/js/global.js', array(), '', true );
	wp_enqueue_script( 'html5', VT_BLOGGING_PRO_LIBS_URI . 'html5shiv/html5.js', array(), '', false );
	wp_enqueue_script( 'owl-carousel', VT_BLOGGING_PRO_LIBS_URI . 'owl/owl.carousel.min.js', array(), '1.3.3', true );
	wp_enqueue_script( 'superfish', VT_BLOGGING_PRO_LIBS_URI . 'superfish/superfish.min.js', array(), '1.7.4', true ); 
	wp_enqueue_script( 'slicknav', VT_BLOGGING_PRO_LIBS_URI . 'slicknav/jquery.slicknav.min.js', array(), '', true );
	wp_enqueue_script( 'modernizr', VT_BLOGGING_PRO_LIBS_URI . 'modernizr/modernizr.min.js',array(), '3.6.0', true );
	
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    }
	
}