<?php
/**
 * The main template file.
 *
 * @package VT Blogging Pro
 */

$animated = esc_html(get_theme_mod( 'animate_enable', '1' ))? 'data-aos="fade-up" data-aos-duration="600" data-aos-delay="300"' : '';
get_header(); ?>
 
	<div id="primary" class="<?php vt_blogging_pro_container_class(); ?>">
			
		<?php get_template_part('template-parts/featured', 'slider'); ?>
		<?php if ( get_theme_mod( 'home_ads' ) ) : get_template_part('template-parts/home', 'ads'); endif; ?>
		
		<main id="main" class="site-main clear">

			<div id="recent-content" class="content-loop">

				<?php if ( get_theme_mod( 'blog-page-layout' ) == 'standard' ) :

						get_template_part( 'layouts/blog', 'standard' );

					elseif ( get_theme_mod( 'blog-page-layout' ) == 'layout-2' ): 

						get_template_part( 'layouts/blog', 'list-layout-2' );
						
					elseif ( get_theme_mod( 'blog-page-layout' ) == 'layout-3' ): 

						get_template_part( 'layouts/blog', 'list-layout-3' );
					
					elseif ( get_theme_mod( 'blog-page-layout' ) == 'standard-list' ): 

						get_template_part( 'layouts/blog', 'standard-list' );
						
					elseif ( get_theme_mod( 'blog-page-layout' ) == '1stfull' ): 

						get_template_part( 'layouts/blog', 'list-1st-fullpost' ); 
						
					else :

						get_template_part( 'layouts/blog', 'list-layout-1' );

					endif;
				 
				?>
	
			</div><!-- #recent-content -->		

		</main><!-- .site-main -->

		<div class="page-nav" <?php if (get_theme_mod('animate_enable', 1) == 1) : echo $animated; endif; ?>>	
			<?php get_template_part( 'template-parts/pagination', '' ); ?>
		</div>

	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>