<?php
/**
 * The sidebar containing the main widget area.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package VT Blogging Pro
 */
 
?>

<aside id="secondary" class="<?php vt_blogging_pro_sidebar_class(); ?>" role="complementary" aria-label="<?php esc_attr_e( 'Shop Sidebar', 'vt-blogging-pro' ); ?>" itemscope itemtype="http://schema.org/WPSideBar">
	<?php 
		if ( is_active_sidebar( 'sidebar-shop' ) ) {
        	dynamic_sidebar( 'sidebar-shop' );
   		}
		else {
			//Helper Text
			if ( current_user_can( 'edit_theme_options' ) ) { ?>
				<div class="widget">
	                <h2 class="widget-title"><span><?php esc_html_e( 'Sidebar Widget Area', 'vt-blogging-pro' ); ?></span></h2>

	           		<div class="textwidget">
	                  	<p><?php esc_html_e( 'This is the Shop Sidebar Widget Area.', 'vt-blogging-pro' ); ?></p>
	                  	<p><?php printf(
							/* translators: %s: Widgets Panel */
							wp_kses_post( 'By default it will load <strong>Filter by price</strong> and <strong>Chart</strong> widgets as shown below. You can add widget to this area by visiting your <a class="setup-notice" href="%s">Widgets Panel</a> which will replace default widgets.', 'vt-blogging-pro' ), esc_url( admin_url( 'widgets.php' ) ) ); ?></p>
	                 </div>
	       		</div><!-- #widget-default-text -->
			<?php
			} 
			
			the_widget( 'WC_Widget_Price_Filter' );
			the_widget( 'WC_Widget_Cart' );
			?>
 
		<?php
	} ?>
</aside><!-- #secondary -->